%Function to convert a braid given in alphabetic notation to a numerical
%vector.  Input is something like 'AAA' or 'AbAb' (no spaces, with apostrophes!).

function f=conversion(x)

k=0;

cx=real(x)-64;

punc=find(cx<0);
if length(punc)~=0
    disp('Warning: do not put spaces or punctuation into the braid representation')
end

for i=1:length(punc)
    k=k+1;
    cx(punc(i)-k+1)=[];
end

ind=find(cx>32);
for i=1:length(ind)
    cx(ind(i))=-(cx(ind(i))-32);
end

f=cx;